Index: trunk/client/modules/Elezioni/confronti.php
===================================================================
--- trunk/client/modules/Elezioni/confronti.php	(revision 105)
+++ trunk/client/modules/Elezioni/confronti.php	(revision 265)
@@ -53,6 +53,8 @@
 	$x++;
 }*/
-$res = mysql_query("SELECT t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.id_cons_gen=t2.id_cons_gen and t1.tipo_cons=t3.tipo_cons and t3.circo='0' and t3.genere>'2' and t2.id_comune='$id_comune' order by t1.data_fine,t1.descrizione", $dbi);
-if (mysql_num_rows($res)){
+$sql="SELECT t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.id_cons_gen=t2.id_cons_gen and t1.tipo_cons=t3.tipo_cons and t3.circo='0' and t3.genere>'2' and t2.id_comune='$id_comune' order by t1.data_fine,t1.descrizione";
+$res = $dbi->prepare("$sql");
+$res->execute();
+if ($res->rowCount()){
 	echo "<form id=\"cons\" action=\"modules.php\">";
 	echo "<table><tr><td>"
@@ -67,5 +69,5 @@
 		<tr><td align=\"center\" colspan=\"2\"><br/>"._SCELTA_CONS."</td></tr>";
 	$x=1;
-	while (list($descr_cons,$id_cons)= mysql_fetch_row($res)){
+	while (list($descr_cons,$id_cons)= $res->fetch(PDO::FETCH_NUM)){
 		echo "<tr><td>$descr_cons</td><td><input type=\"checkbox\" name=\"check$x\"/>";
 		echo "<input type=\"hidden\" name=\"cons$x\" value=\"$id_cons\"/>";
@@ -148,18 +150,28 @@
 	if($pag>=$pags) return(1); //in $pags il numero delle consultazioni
 	$id_cons2=$_SESSION['confr'][$pag];
-	$res_lis = mysql_query("SELECT t1.descrizione,t1.tipo_cons,t2.id_conf from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons='$id_cons2'",$dbi);
-	list($descr,$tipoc,$legge)=mysql_fetch_row($res_lis);
+	$sql="SELECT t1.descrizione,t1.tipo_cons,t2.id_conf from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons='$id_cons2'";
+	$res_lis = $dbi->prepare("$sql");
+	$res_lis->execute();
+
+	list($descr,$tipoc,$legge)=$res_lis->fetch(PDO::FETCH_NUM);
 	if($legge){
-		$res_l=mysql_query("SELECT limite from  ".$prefix."_ele_conf where id_conf='$legge'",$dbi);
-		list($limite)=mysql_fetch_row($res_l);
+		$sql="SELECT limite from  ".$prefix."_ele_conf where id_conf='$legge'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+		list($limite)=$res->fetch(PDO::FETCH_NUM);
 	}
 if($tipoc==3 and $fascia<=$limite){
 	$_SESSION['grulis'][$id_cons2]='1';
-	$res_lis = mysql_query("SELECT t2.id_gruppo,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo",$dbi);
+	$sql="SELECT t2.id_gruppo,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo";
+
 }else{
-	$res_lis = mysql_query("SELECT t1.id_lista,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo",$dbi);
+	$sql="SELECT t1.id_lista,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo";
 	$_SESSION['grulis'][$id_cons2]='0';
 	}
-	$yy=mysql_num_rows($res_lis);
+$res_lis = $dbi->prepare("$sql");
+$res_lis->execute();
+
+	$yy=$res_lis->rowCount();
 	if ($yy){
 		echo "<form name=\"liste\" action=\"modules.php\">"
@@ -177,5 +189,5 @@
 		echo "</tr>";
 			$z=1;
-			while(list($id_lista,$descr,$gruppo) = mysql_fetch_row($res_lis)) {
+			while(list($id_lista,$descr,$gruppo) = $res_lis->fetch(PDO::FETCH_NUM)) {
 				$_SESSION['num_lista'.$z]=$id_lista;
 				echo "<tr><td>$gruppo</td><td>$descr</td>";
@@ -200,13 +212,21 @@
 $riga5="<tr align=\"center\"><td>"._VOTANTI."</td>";
 foreach($_SESSION['confr'] as $y=>$x){
-	$res= mysql_query("SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$x'",$dbi);
-	list($elet)=mysql_fetch_row($res);
+	$sql="SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$x'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($elet)=$res->fetch(PDO::FETCH_NUM);
 	if($_SESSION['grulis'][$x]=='1')
-		$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$x'",$dbi);
+		$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$x'";
 	else
-		$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$x'",$dbi);
-	list($tot[$y])=mysql_fetch_row($res);
-	$res = mysql_query("SELECT t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.id_cons='$x'", $dbi);
-	list($descr)=mysql_fetch_row($res);
+		$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$x'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($tot[$y])=$res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.id_cons='$x'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($descr)=$res->fetch(PDO::FETCH_NUM);
 	$riga1.="<td>$descr</td>";
 	$riga5.="<td>".$tot[$y]."<br/>".number_format($tot[$y]*100/$elet)."%</td>";
@@ -342,24 +362,33 @@
 		foreach ($_SESSION['grp1'][$x] as $key=>$val){
 			if($_SESSION['grulis'][$id_cons2]=='1')
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'";
 			else
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
-			list($voti)=mysql_fetch_row($res);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			list($voti)=$res->fetch(PDO::FETCH_NUM);
 			$ar1[$x]+=$voti;
 		}
 		foreach ($_SESSION['grp2'][$x] as $key=>$val){
 			if($_SESSION['grulis'][$id_cons2]=='1')
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'";
 			else
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
-			list($voti)=mysql_fetch_row($res);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			list($voti)=$res->fetch(PDO::FETCH_NUM);
 			$ar2[$x]+=$voti;
 		}
 		foreach ($_SESSION['grp3'][$x] as $key=>$val){
 			if($_SESSION['grulis'][$id_cons2]=='1')
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'";
 			else
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
-			list($voti)=mysql_fetch_row($res);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			list($voti)=$res->fetch(PDO::FETCH_NUM);
 			$ar3[$x]+=$voti;
 		}
